%define name    shrinkta
%define version 0.1.12
%define release 0

Name:           %name
Version:        %version
Release:        %release
Summary:	DVD movie backup tool for GNOME
License:	GPL
Group:		Applications/Multimedia
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	genisoimage >= 1.1.6
Requires:	mjpegtools >= 1.9.0
Requires:	transcode >= 1.0.4
Requires:	GConf2 >= 2.20.1
Requires:	libgnomeui >= 2.20.1.1
Requires:	glib2 >= 2.14.6
Requires:	gtk2 >= 2.12.5
Requires:	dvdauthor >= 0.6.14
Requires:	nautilus-cd-burner >= 2.20.0
Requires:	libdvdread >= 0.9.7
BuildRequires:	glib2-devel >= 2.14.6
BuildRequires:	GConf2-devel >= 2.20.1
BuildRequires:  gtk2-devel >= 2.12.5
BuildRequires:	libgnomeui-devel >= 2.20.1.1
BuildRequires:	nautilus-cd-burner-devel >= 2.20.0
BuildRequires:	libdvdread-devel >= 0.9.7

%description
Backs up a single DVD title with 1 or 2 audio tracks to a single sided DVD disk or does a complete backup to similar sized media.

%package devel
Summary: Development headers and libraries for the libdvd library part of the shrinkta package.
Group: Development/Libraries

%description devel
This package contains static libraries and C system header files
needed to compile applications that use the libdvd library included
in the shrinkta package.
%prep
%setup -q

%build

%configure

make

%install
rm -rf $RPM_BUILD_ROOT _docs

make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%preun

%post
/sbin/ldconfig -n /usr/lib

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/shrinkta
%{_datadir}/applications/shrinkta.desktop
%{_datadir}/doc/shrinkta/AUTHORS
%{_datadir}/doc/shrinkta/COPYING
%{_datadir}/doc/shrinkta/ChangeLog
%{_datadir}/doc/shrinkta/INSTALL
%{_datadir}/doc/shrinkta/NEWS
%{_datadir}/doc/shrinkta/README
%{_datadir}/doc/shrinkta/TODO
%{_datadir}/doc/shrinkta/autogen.sh
%{_datadir}/doc/shrinkta/shrinkta.spec
%{_datadir}/doc/shrinkta/shrinkta.spec.in
%{_datadir}/gnome/help/shrinkta/C/figures/*
%{_datadir}/gnome/help/shrinkta/C/legal.xml
%{_datadir}/gnome/help/shrinkta/C/shrinkta.xml
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_prefs_audio.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_prefs_general.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_prefs_media.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_prefs_video.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_question_full.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_question_delete_image.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_start_window.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_toolbar_eject.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_toolbar_read.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_toolbar_backup.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_toolbar_stop.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_toolbar_eject.png
%{_datadir}/gnome/help/shrinkta/fr/figures/shrinkta_toolbar_burn.png
%{_datadir}/gnome/help/shrinkta/fr/shrinkta.xml
%{_datadir}/omf/shrinkta/shrinkta-C.omf
%{_datadir}/omf/shrinkta/shrinkta-fr.omf
%{_datadir}/pixmaps/shrinkta-icon.png
%{_datadir}/pixmaps/shrinkta/burn-cd-tb.png
%{_datadir}/pixmaps/shrinkta/burn-cd.png
%{_datadir}/pixmaps/shrinkta/copy-cd-tb.png
%{_datadir}/pixmaps/shrinkta/copy-cd.png
%{_datadir}/pixmaps/shrinkta/read-cd-tb.png
%{_datadir}/pixmaps/shrinkta/read-cd.png
%{_datadir}/pixmaps/shrinkta/eject-cd-tb.png
%{_datadir}/pixmaps/shrinkta/eject-cd.png
%{_datadir}/pixmaps/shrinkta/shrinkta-icon.png
%{_libdir}/*.so.*

%files devel
%{_includedir}/libdvd/dvd-language.h
%{_includedir}/libdvd/dvd-types.h
%{_includedir}/libdvd/dvd-audio.h
%{_includedir}/libdvd/dvd-video.h
%{_includedir}/libdvd/dvd-time.h
%{_includedir}/libdvd/dvd-decoder.h
%{_includedir}/libdvd/dvd-decoder-ac3.h
%{_includedir}/libdvd/dvd-decoder-dts.h
%{_includedir}/libdvd/dvd-decoder-lpcm.h
%{_includedir}/libdvd/dvd-decoder-m2v.h
%{_includedir}/libdvd/dvd-demux.h
%{_includedir}/libdvd/dvd-chapter.h
%{_includedir}/libdvd/dvd-title.h
%{_includedir}/libdvd/dvd-obj.h
%{_includedir}/libdvd/dvd-file-io.h
%{_includedir}/libdvd/dvd-file-track.h
%{_includedir}/libdvd/dvd-chapter-disk.h
%{_includedir}/libdvd/dvd-title-disk.h
%{_includedir}/libdvd/dvd-disk.h
%{_includedir}/libdvd/dvd.h
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Mon Jun 14 2008 Daryl Gray <darylgray1@dodo.com.au>
- Add libdvdread dependancy

* Mon Apr 14 2008 Daryl Gray <darylgray1@dodo.com.au>
- Change mkisofs to genisoimage
- Udated required version to my system

* Mon Feb 6 2006 Daryl Gray <darylgray1@dodo.com.au>
- Add depedancy for nautilus-cd-burner
- Remove Hal dependancy

* Mon Feb 6 2006 Daryl Gray <darylgray1@dodo.com.au>
- Add more header files to devel package

* Thu Oct 29 2005 Daryl Gray <darylgray1@dodo.com.au>
- Added devel package to spec file
- Make shrinkta.spec.in + update configure.in

* Thu Oct 27 2005 Daryl Gray <darylgray1@dodo.com.au>
- Update spec file for release 4

* Tue Oct 18 2005 Daryl Gray <darylgray1@dodo.com.au>
- Make spec file for shrinkta (started with sound-juicer spec file - thanks)
